CONF2-COMPILE.SERVICE(8)

NAME
conf2-compile.service - Configuration file compilation service

SYNOPSIS
conf2-compile.service

DESCRIPTION
conf2-compile.service is a systemd service unit that runs the conf2-compile program. This program is responsible for compiling YAML format configuration files into an SQLite database for use by other system components.

The service performs the following operations:

•   Reads YAML configuration files from system directories

•   Parses configuration file contents

•   Updates the SQLite database structure

•   Stores the parsed configuration data into the /etc/kylin-config/user.db database

This service typically runs during system startup or after configuration file updates to ensure system configuration data is up-to-date.

OPTIONS
This service does not accept any command-line arguments. All configuration is handled through predefined paths and logic in the source code.

FILES

/etc/kylin-config/user.db
    Target SQLite database file

/etc/kylin-config/
    Default directory for YAML configuration files

SEE ALSO
systemd(1), systemctl(1)

AUTHOR
KylinSoft Co., Ltd.

COPYRIGHT
Copyright © 2025, KylinSoft Co., Ltd.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.